List Scenarios

Returns the scenarios for the authenticated organization.

Authentication

AuthorizationBearer
Authenticate server-side requests with a private Vapi API key. Create or copy a key from the [Vapi Dashboard](https://dashboard.vapi.ai) and send it in the `Authorization` header as `Bearer <token>`. Keep private API keys out of client-side code and public repositories.

Query parameters

idAnylist of stringsOptional
Return only scenarios matching the provided ids
namestringOptional
Search by scenario name
pagedoubleOptional>=1
This is the page number to return. Defaults to 1.
sortOrderenumOptional
This is the sort order for pagination. Defaults to 'DESC'.
Allowed values:
sortByenumOptional
This is the column to sort by. Defaults to 'createdAt'.
Allowed values:
limitdoubleOptional0-1000
This is the maximum number of items to return. Defaults to 100.
createdAtGtdatetimeOptional
This will return items where the createdAt is greater than the specified value.
createdAtLtdatetimeOptional
This will return items where the createdAt is less than the specified value.
createdAtGedatetimeOptional
This will return items where the createdAt is greater than or equal to the specified value.
createdAtLedatetimeOptional
This will return items where the createdAt is less than or equal to the specified value.
updatedAtGtdatetimeOptional
This will return items where the updatedAt is greater than the specified value.
updatedAtLtdatetimeOptional
This will return items where the updatedAt is less than the specified value.
updatedAtGedatetimeOptional
This will return items where the updatedAt is greater than or equal to the specified value.
updatedAtLedatetimeOptional
This will return items where the updatedAt is less than or equal to the specified value.

Response

idstringformat: "uuid"
This is the unique identifier for the scenario.
orgIdstringformat: "uuid"
This is the unique identifier for the organization this scenario belongs to.
createdAtdatetime

This is the ISO 8601 date-time string of when the scenario was created.

updatedAtdatetime

This is the ISO 8601 date-time string of when the scenario was last updated.

namestring<=80 characters
This is the name of the scenario.
instructionsstring<=10000 characters

This is the script/instructions for the tester to follow during the simulation.

evaluationslist of objects

This is the structured output-based evaluation plan for the simulation. Each item defines a structured output to extract and evaluate against an expected value.

hookslist of objectsOptional
Hooks to run on simulation lifecycle events
targetOverridesobjectOptional
Overrides to inject into the simulated target assistant or squad
toolMockslist of objectsOptional

Scenario-level tool call mocks to use during simulations.

pathstring or nullOptionalformat: "/^[a-zA-Z0-9][a-zA-Z0-9._-]*(?:\/[a-zA-Z0-9][a-zA-Z0-9._-]*){0,2}$/"<=255 characters

Optional folder path for organizing scenarios. Supports up to 3 levels (e.g., “dept/feature/variant”). Maps to GitOps resource folder structure.